﻿'
' Copyright (c) 2010-2012, MatthiWare
'
' Permission is hereby granted, free of charge, to any person obtaining a
' copy of this software and associated documentation files (the "Software"),
' to deal in the Software without restriction, including without limitation
' the rights to use, copy, modify, merge, publish, distribute, sublicense,
' and/or sell copies of the Software, and to permit persons to whom the
' Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in
' all copies or substantial portions of the Software. 
' You shall include 'MatthiWare' in the credits/about section of the program
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
' IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
' FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
' AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
' LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
' FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
' DEALINGS IN THE SOFTWARE.
'

Public Class BlockInfo

    Public Name As String = "NULL"
    Public MiningBuff As Int32

    Private _id As Int32() = {-1, -1}
    Public Property Id() As Int32()
        Get
            Return _id
        End Get
        Set(ByVal value As Int32())
            _id = value
        End Set
    End Property


    Public Sub New(intID As Int32, intRnd As Int32, strName As String, Optional miningBuff As Int32 = 0)
        Me.Id = {intID, intRnd}
        Me.MiningBuff = miningBuff
        Me.Name = strName
    End Sub

    Public Overrides Function ToString() As String
        Return Name
    End Function

End Class
